Deploy failing after switching to Ubuntu Focal build image due to digital envelope routines or webpack

My site (name: memofolio) will not deploy when using the Focal image, and the deploy log shows errors in the build section. I have tried using Node versions 15 and 18 locally to no avail. Searching the first error message on SO seems to indicate an outdated react-scripts package, but I don’t have that installed.

Any other advice? Thanks in advance!

Deploy log:

8:56:39 PM: build-image version: d55944c047ef0aee2ac01971edde72cb2a50acfe (focal)
8:56:39 PM: build-image tag: v4.16.1
8:56:39 PM: buildbot version: 54c43bf6e2b5c9246a84788e30d1cb1a8806d36a
8:56:39 PM: Building without cache
8:56:39 PM: Starting to prepare the repo for build
8:56:40 PM: No cached dependencies found. Cloning fresh repo
8:56:40 PM: git clone --filter=blob:none https://github.com/ofu997/redwoodjs-instagram-clone
8:56:40 PM: Preparing Git Reference refs/heads/main
8:56:40 PM: Parsing package.json dependencies
8:56:42 PM: Different functions path detected, going to use the one specified in the Netlify configuration file: 'api/dist/functions' versus '' in the Netlify UI
8:56:42 PM: Different build command detected, going to use the one specified in the Netlify configuration file: 'yarn rw deploy netlify' versus 'rw deploy netlify' in the Netlify UI
8:56:42 PM: Starting build script
8:56:42 PM: Installing dependencies
8:56:42 PM: Python version set to 2.7
8:56:42 PM: Attempting node version 'lts/*' from .nvmrc
8:56:42 PM: Downloading and installing node v18.12.1...
8:56:42 PM: Downloading https://nodejs.org/dist/v18.12.1/node-v18.12.1-linux-x64.tar.xz...
8:56:44 PM: Computing checksum with sha256sum
8:56:44 PM: Checksums matched!
8:56:46 PM: Now using node v18.12.1 (npm v8.19.2)
8:56:46 PM: Enabling node corepack
8:56:46 PM: Started restoring cached build plugins
8:56:46 PM: Finished restoring cached build plugins
8:56:46 PM: Attempting ruby version 2.7.2, read from environment
8:56:47 PM: Using ruby version 2.7.2
8:56:47 PM: Using PHP version 8.0
8:56:47 PM: Started restoring cached yarn cache
8:56:47 PM: Finished restoring cached yarn cache
8:56:47 PM: Installing yarn at version 1.22.10
8:56:47 PM: Preparing yarn@1.22.10 for immediate activation...
8:56:47 PM: yarn workspaces detected
8:56:48 PM: Installing NPM modules using Yarn version 1.22.10
8:56:48 PM: yarn install v1.22.10
8:56:48 PM: [1/5] Validating package.json...
8:56:48 PM: [2/5] Resolving packages...
8:56:49 PM: [3/5] Fetching packages...
8:56:49 PM: warning Pattern ["x----x----x@^0 Types"] is trying to unpack in the same destination "/opt/buildhome/.yarn_cache/v6/npm-x-x-x-0.0.2-44e014e79f53205066ecf7d170dd1f30ef677856-integrity/node_modules/x----x----x" as pattern ["x----x----x@^0 Webpack"]. This could result in non-deterministic behavior, skipping.
8:57:22 PM: info fsevents@2.3.1: The platform "linux" is incompatible with this module.
8:57:22 PM: info "fsevents@2.3.1" is an optional dependency and failed compatibility check. Excluding it from installation.
8:57:22 PM: info fsevents@1.2.13: The platform "linux" is incompatible with this module.
8:57:22 PM: info "fsevents@1.2.13" is an optional dependency and failed compatibility check. Excluding it from installation.
8:57:22 PM: info fsevents@2.3.2: The platform "linux" is incompatible with this module.
8:57:22 PM: info "fsevents@2.3.2" is an optional dependency and failed compatibility check. Excluding it from installation.
8:57:22 PM: [4/5] Linking dependencies...
8:57:22 PM: warning "@redwoodjs/core > @pmmmwh/react-refresh-webpack-plugin@0.4.3" has incorrect peer dependency "react-refresh@>=0.8.3 <0.10.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/cli > @redwoodjs/prerender@0.35.1" has unmet peer dependency "react@*".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/cli > @redwoodjs/prerender@0.35.1" has unmet peer dependency "react-dom@*".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/web@0.35.1" has unmet peer dependency "react@17.0.2".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @testing-library/react@11.2.7" has unmet peer dependency "react@*".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @testing-library/react@11.2.7" has unmet peer dependency "react-dom@*".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @testing-library/user-event@13.1.9" has unmet peer dependency "@testing-library/dom@>=7.21.4".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/router > @reach/skip-nav@0.15.2" has unmet peer dependency "react@^16.8.0 || 17.x".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/router > @reach/skip-nav@0.15.2" has unmet peer dependency "react-dom@^16.8.0 || 17.x".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/web > react-helmet-async@1.0.9" has unmet peer dependency "react@^16.6.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/web > react-helmet-async@1.0.9" has unmet peer dependency "react-dom@^16.6.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/web > react-hot-toast@2.0.0" has unmet peer dependency "react@>=16".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/web > react-hot-toast@2.0.0" has unmet peer dependency "react-dom@>=16".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/addons@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/addons@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/api@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/api@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/client-api@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/client-api@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/theming@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/theming@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > react-sizeme@3.0.1" has unmet peer dependency "react@^0.14.0 || ^15.0.0-0 || ^16.0.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > react-sizeme@3.0.1" has unmet peer dependency "react-dom@^0.14.0 || ^15.0.0-0 || ^16.0.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core-common@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core-common@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/router > @reach/skip-nav > @reach/utils@0.15.2" has unmet peer dependency "react@^16.8.0 || 17.x".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/router > @reach/skip-nav > @reach/utils@0.15.2" has unmet peer dependency "react-dom@^16.8.0 || 17.x".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @redwoodjs/web > react-hot-toast > goober@2.0.38" has unmet peer dependency "csstype@^2.6.2".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/addons > @storybook/router@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/addons > @storybook/router@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/api > @reach/router@1.3.4" has unmet peer dependency "react@15.x || 16.x || 16.4.0-alpha.0911da3".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/api > @reach/router@1.3.4" has unmet peer dependency "react-dom@15.x || 16.x || 16.4.0-alpha.0911da3".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > markdown-to-jsx@7.1.3" has unmet peer dependency "react@>= 0.14.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-colorful@5.3.0" has unmet peer dependency "react@>=16.8.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-colorful@5.3.0" has unmet peer dependency "react-dom@>=16.8.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-popper-tooltip@3.1.1" has unmet peer dependency "react@^16.6.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-popper-tooltip@3.1.1" has unmet peer dependency "react-dom@^16.6.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-syntax-highlighter@13.5.3" has unmet peer dependency "react@>= 0.14.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-textarea-autosize@8.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/theming > @emotion/core@10.1.1" has unmet peer dependency "react@>=16.3.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/theming > @emotion/styled@10.0.27" has unmet peer dependency "react@>=16.3.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/theming > emotion-theming@10.0.27" has unmet peer dependency "react@>=16.3.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-client@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-client@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-server@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-server@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/api > @reach/router > create-react-context@0.3.0" has unmet peer dependency "react@^0.14.0 || ^15.0.0 || ^16.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-popper-tooltip > react-popper@2.2.5" has unmet peer dependency "react@^16.8.0 || ^17".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-textarea-autosize > use-composed-ref@1.1.0" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-textarea-autosize > use-latest@1.2.0" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/theming > @emotion/styled > @emotion/styled-base@10.0.31" has unmet peer dependency "react@>=16.3.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-client > @storybook/ui@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-client > @storybook/ui@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-server > @storybook/builder-webpack4@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-server > @storybook/builder-webpack4@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-server > @storybook/manager-webpack4@6.3.2" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-server > @storybook/manager-webpack4@6.3.2" has unmet peer dependency "react-dom@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/addon-a11y > @storybook/components > react-textarea-autosize > use-latest > use-isomorphic-layout-effect@1.1.1" has unmet peer dependency "react@^16.8.0 || ^17.0.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-client > @storybook/ui > downshift@6.1.3" has unmet peer dependency "react@>=16.12.0".
8:57:22 PM: warning "@redwoodjs/core > @redwoodjs/testing > @storybook/react > @storybook/core > @storybook/core-client > @storybook/ui > markdown-to-jsx@6.11.4" has unmet peer dependency "react@>= 0.14.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > apollo-client@2.6.10" has unmet peer dependency "graphql@^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0 || ^15.0.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > bootstrap@5.0.1" has unmet peer dependency "@popperjs/core@^2.9.2".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > filestack-react@4.0.0" has incorrect peer dependency "react@^16.0.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > postcss-loader@4.0.2" has unmet peer dependency "webpack@^4.0.0 || ^5.0.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > postcss-loader@4.0.2" has unmet peer dependency "postcss@^7.0.0 || ^8.0.1".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > @redwoodjs/forms > react-hook-form@6.9.5" has incorrect peer dependency "react@^16.8.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > apollo-client > apollo-cache@1.3.5" has unmet peer dependency "graphql@^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0 || ^15.0.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > apollo-client > apollo-link@1.2.14" has unmet peer dependency "graphql@^0.11.3 || ^0.12.3 || ^0.13.0 || ^14.0.0 || ^15.0.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > apollo-client > apollo-utilities@1.3.4" has unmet peer dependency "graphql@^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0 || ^15.0.0".
8:57:22 PM: warning "workspace-aggregator-05953708-6aac-4c71-844b-96c6d8c92b44 > web > filestack-react > filestack-js > ts-node@8.10.2" has unmet peer dependency "typescript@>=2.7".
8:58:31 PM: [5/5] Building fresh packages...
8:58:40 PM: Done in 112.58s.
8:58:41 PM: NPM modules installed using Yarn
8:58:41 PM: Started restoring cached go cache
8:58:41 PM: Finished restoring cached go cache
8:58:41 PM: Installing Go version 1.16.5 (requested 1.16.5)
8:58:46 PM: unset GOOS;
8:58:46 PM: unset GOARCH;
8:58:46 PM: export GOROOT='/opt/buildhome/.gimme/versions/go1.16.5.linux.amd64';
8:58:46 PM: export PATH="/opt/buildhome/.gimme/versions/go1.16.5.linux.amd64/bin:${PATH}";
8:58:46 PM: go version >&2;
8:58:46 PM: export GIMME_ENV="/opt/buildhome/.gimme/env/go1.16.5.linux.amd64.env"
8:58:46 PM: go version go1.16.5 linux/amd64
8:58:46 PM: Detected 1 framework(s)
8:58:46 PM: "redwoodjs" at version "0.35.1"
8:58:46 PM: Installing missing commands
8:58:46 PM: Verify run directory
8:58:46 PM: Section completed: initializing
8:58:48 PM: ​
8:58:48 PM:   Netlify Build                                                 
8:58:48 PM: ────────────────────────────────────────────────────────────────
8:58:48 PM: ​
8:58:48 PM: ❯ Version
8:58:48 PM:   @netlify/build 29.2.1
8:58:48 PM: ​
8:58:48 PM: ❯ Flags
8:58:48 PM:   baseRelDir: true
8:58:48 PM:   buildId: 63ae6f86f7624c1a979f64b9
8:58:48 PM:   deployId: 63ae6f86f7624c1a979f64bb
8:58:48 PM: ​
8:58:48 PM: ❯ Current directory
8:58:48 PM:   /opt/build/repo
8:58:48 PM: ​
8:58:48 PM: ❯ Config file
8:58:48 PM:   /opt/build/repo/netlify.toml
8:58:48 PM: ​
8:58:48 PM: ❯ Context
8:58:48 PM:   production
8:58:48 PM: ​
8:58:48 PM:   1. build.command from netlify.toml                            
8:58:48 PM: ────────────────────────────────────────────────────────────────
8:58:48 PM: ​
8:58:48 PM: $ yarn rw deploy netlify
8:58:49 PM: yarn run v1.22.10
8:58:49 PM: $ /opt/build/repo/node_modules/.bin/rw deploy netlify
8:58:51 PM: 
8:58:51 PM: Running:
8:58:51 PM: yarn rw build --verbose && yarn rw prisma migrate deploy && yarn rw data-migrate up
8:58:51 PM: $ /opt/build/repo/node_modules/.bin/rw build --verbose
8:58:53 PM: Generating the Prisma client... [started]
8:58:53 PM: $ /opt/build/repo/node_modules/.bin/prisma generate --schema=/opt/build/repo/api/db/schema.prisma
8:58:54 PM: Prisma schema loaded from db/schema.prisma
8:58:57 PM: βœ” Generated Prisma Client (2.26.0) to ./../node_modules/@prisma/client in 107ms
8:58:57 PM: You can now start using Prisma Client in your code. Reference: https://pris.ly/d/client
8:58:57 PM: ```import { PrismaClient } from '@prisma/client'const prisma = new PrismaClient()```
8:58:57 PM: Generating the Prisma client... [completed]
8:58:57 PM: [04:58:57] Cleaning "web"... (./web/dist/) [started]
8:58:57 PM: [04:58:57] Cleaning "web"... (./web/dist/) [completed]
8:58:57 PM: [04:58:57] Building "api"... [started]
8:58:57 PM: $ /opt/build/repo/node_modules/.bin/cross-env NODE_ENV=production babel src --out-dir dist --delete-dir-on-start --extensions .ts,.js --ignore '**/*.test.ts,**/*.test.js,**/__tests__' --source-maps
8:58:58 PM: Browserslist: caniuse-lite is outdated. Please run:
8:58:58 PM: npx browserslist@latest --update-db
8:58:58 PM: Why you should do it regularly:
8:58:58 PM: https://github.com/browserslist/browserslist#browsers-data-updating
8:59:00 PM: Successfully compiled 13 files with Babel (2684ms).
8:59:00 PM: [04:59:00] Building "api"... [completed]
8:59:00 PM: [04:59:00] Building "web"... [started]
8:59:00 PM: $ /opt/build/repo/node_modules/.bin/cross-env NODE_ENV=production webpack --config /opt/build/repo/node_modules/@redwoodjs/core/config/webpack.production.js
8:59:02 PM: Error: error:0308010C:digital envelope routines::unsupported
8:59:02 PM:     at new Hash (node:internal/crypto/hash:71:19)
8:59:02 PM:     at Object.createHash (node:crypto:133:10)
8:59:02 PM:     at module.exports (/opt/build/repo/node_modules/webpack/lib/util/createHash.js:135:53)
8:59:02 PM:     at NormalModule._initBuildHash (/opt/build/repo/node_modules/webpack/lib/NormalModule.js:417:16)
8:59:02 PM:     at handleParseError (/opt/build/repo/node_modules/webpack/lib/NormalModule.js:471:10)
8:59:02 PM:     at /opt/build/repo/node_modules/webpack/lib/NormalModule.js:503:5
8:59:02 PM:     at /opt/build/repo/node_modules/webpack/lib/NormalModule.js:358:12
8:59:02 PM:     at /opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:373:3
8:59:02 PM:     at iterateNormalLoaders (/opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:214:10)
8:59:02 PM:     at iterateNormalLoaders (/opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:221:10)
8:59:02 PM:     at /opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:236:3
8:59:02 PM:     at runSyncOrAsync (/opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:130:11)
8:59:02 PM:     at iterateNormalLoaders (/opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:232:2)
8:59:02 PM:     at Array.<anonymous> (/opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:205:4)
8:59:02 PM:     at Storage.finished (/opt/build/repo/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:55:16)
8:59:02 PM:     at /opt/build/repo/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:91:9
8:59:02 PM:     at /opt/build/repo/node_modules/graceful-fs/graceful-fs.js:123:16
8:59:02 PM:     at FSReqCallback.readFileAfterClose [as oncomplete] (node:internal/fs/read_file_context:68:3)
8:59:02 PM: node:internal/crypto/hash:71
8:59:02 PM:   this[kHandle] = new _Hash(algorithm, xofLen);
8:59:02 PM:                   ^
8:59:02 PM: Error: error:0308010C:digital envelope routines::unsupported
8:59:02 PM:     at new Hash (node:internal/crypto/hash:71:19)
8:59:02 PM:     at Object.createHash (node:crypto:133:10)
8:59:02 PM:     at module.exports (/opt/build/repo/node_modules/webpack/lib/util/createHash.js:135:53)
8:59:02 PM:     at NormalModule._initBuildHash (/opt/build/repo/node_modules/webpack/lib/NormalModule.js:417:16)
8:59:02 PM:     at handleParseError (/opt/build/repo/node_modules/webpack/lib/NormalModule.js:471:10)
8:59:02 PM:     at /opt/build/repo/node_modules/webpack/lib/NormalModule.js:503:5
8:59:02 PM:     at /opt/build/repo/node_modules/webpack/lib/NormalModule.js:358:12
8:59:02 PM:     at /opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:373:3
8:59:02 PM:     at iterateNormalLoaders (/opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:214:10)
8:59:02 PM:     at Array.<anonymous> (/opt/build/repo/node_modules/loader-runner/lib/LoaderRunner.js:205:4)
8:59:02 PM:     at Storage.finished (/opt/build/repo/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:55:16)
8:59:02 PM:     at /opt/build/repo/node_modules/enhanced-resolve/lib/CachedInputFileSystem.js:91:9
8:59:02 PM:     at /opt/build/repo/node_modules/graceful-fs/graceful-fs.js:123:16
8:59:02 PM:     at FSReqCallback.readFileAfterClose [as oncomplete] (node:internal/fs/read_file_context:68:3) {
8:59:02 PM:   opensslErrorStack: [ 'error:03000086:digital envelope routines::initialization error' ],
8:59:02 PM:   library: 'digital envelope routines',
8:59:02 PM:   reason: 'unsupported',
8:59:02 PM:   code: 'ERR_OSSL_EVP_UNSUPPORTED'
8:59:02 PM: }
8:59:02 PM: Node.js v18.12.1
8:59:02 PM: error Command failed with exit code 1.
8:59:02 PM: info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
8:59:02 PM: [04:59:02] Building "web"... [failed]
8:59:02 PM: [04:59:02] β†’ Command failed with exit code 1: yarn cross-env NODE_ENV=production webpack --config /opt/build/repo/node_modules/@redwoodjs/core/config/webpack.production.js
8:59:02 PM: Command failed with exit code 1: yarn cross-env NODE_ENV=production webpack --config /opt/build/repo/node_modules/@redwoodjs/core/config/webpack.production.js
8:59:02 PM: error Command failed with exit code 1.
8:59:02 PM: info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
8:59:02 PM: rw deploy netlify [...commands]
8:59:02 PM: Build command for Netlify deploy
8:59:02 PM: Options:
8:59:02 PM:   --help                Show help                                      [boolean]
8:59:02 PM:   --version             Show version number                            [boolean]
8:59:02 PM:   --cwd                 Working directory to use (where `redwood.toml` is
8:59:02 PM:                         located.)
8:59:02 PM:   --build               Build for production         [boolean] [default: "true"]
8:59:02 PM:   --prisma              Apply database migrations    [boolean] [default: "true"]
8:59:02 PM:   --data-migrate, --dm  Migrate the data in your database
8:59:02 PM:                                                      [boolean] [default: "true"]
8:59:02 PM: For more commands, options, and examples, see Redwood CLI Reference
8:59:02 PM: (​https://redwoodjs.com/docs/cli-commands#deploy​)
8:59:02 PM: Error: Command failed with exit code 1: yarn rw build --verbose && yarn rw prisma migrate deploy && yarn rw data-migrate up
8:59:02 PM:     at makeError (/opt/build/repo/node_modules/@redwoodjs/cli/node_modules/execa/lib/error.js:60:11)
8:59:02 PM:     at handlePromise (/opt/build/repo/node_modules/@redwoodjs/cli/node_modules/execa/index.js:118:26)
8:59:02 PM:     at process.processTicksAndRejections (node:internal/process/task_queues:95:5) {
8:59:02 PM:   shortMessage: 'Command failed with exit code 1: yarn rw build --verbose && yarn rw prisma migrate deploy && yarn rw data-migrate up',
8:59:02 PM:   command: 'yarn rw build --verbose && yarn rw prisma migrate deploy && yarn rw data-migrate up',
8:59:02 PM:   escapedCommand: '"yarn rw build --verbose && yarn rw prisma migrate deploy && yarn rw data-migrate up"',
8:59:02 PM:   exitCode: 1,
8:59:02 PM:   signal: undefined,
8:59:02 PM:   signalDescription: undefined,
8:59:02 PM:   stdout: undefined,
8:59:02 PM:   stderr: undefined,
8:59:02 PM:   failed: true,
8:59:02 PM:   timedOut: false,
8:59:02 PM:   isCanceled: false,
8:59:02 PM:   killed: false
8:59:02 PM: }
8:59:02 PM: error Command failed with exit code 1.
8:59:02 PM: info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
8:59:02 PM: ​
8:59:02 PM:   "build.command" failed                                        
8:59:02 PM: ────────────────────────────────────────────────────────────────
8:59:02 PM: ​
8:59:02 PM:   Error message
8:59:02 PM:   Command failed with exit code 1: yarn rw deploy netlify
8:59:02 PM: ​
8:59:02 PM:   Error location
8:59:02 PM:   In build.command from netlify.toml:
8:59:02 PM:   yarn rw deploy netlify
8:59:02 PM: ​
8:59:02 PM:   Resolved config
8:59:02 PM:   build:
8:59:02 PM:     command: yarn rw deploy netlify
8:59:02 PM:     commandOrigin: config
8:59:02 PM:     environment:
8:59:02 PM:       - CI
8:59:02 PM:       - DATABASE_URL
8:59:02 PM:       - NETLIFY_GRAPH_TOKEN
8:59:02 PM:       - NODE_ENV
8:59:02 PM:       - ONEGRAPH_AUTHLIFY_TOKEN
8:59:02 PM:     publish: /opt/build/repo/web/dist
8:59:02 PM:     publishOrigin: config
8:59:02 PM:   functionsDirectory: /opt/build/repo/api/dist/functions
8:59:02 PM:   redirects:
8:59:03 PM:     - from: /*      status: 200      to: /index.html  redirectsOrigin: configCaching artifacts
8:59:03 PM: Started saving workspace web node modules
8:59:03 PM: Finished saving workspace web node modules
8:59:03 PM: Started saving workspace root node modules
8:59:03 PM: Finished saving workspace root node modules
8:59:03 PM: Started saving build plugins
8:59:03 PM: Finished saving build plugins
8:59:03 PM: Started saving yarn cache
8:59:12 PM: Finished saving yarn cache
8:59:12 PM: Started saving pip cache
8:59:12 PM: Finished saving pip cache
8:59:12 PM: Started saving emacs cask dependencies
8:59:12 PM: Finished saving emacs cask dependencies
8:59:12 PM: Started saving maven dependencies
8:59:12 PM: Finished saving maven dependencies
8:59:12 PM: Started saving boot dependencies
8:59:12 PM: Finished saving boot dependencies
8:59:12 PM: Started saving rust rustup cache
8:59:12 PM: Finished saving rust rustup cache
8:59:12 PM: Started saving go dependencies
8:59:12 PM: Finished saving go dependencies
8:59:13 PM: Build failed due to a user error: Build script returned non-zero exit code: 2
8:59:13 PM: Failing build: Failed to build site
8:59:13 PM: Failed during stage 'building site': Build script returned non-zero exit code: 2
8:59:14 PM: Finished processing build request in 2m34.325049326s

Hi :wave:t6: @ofu997, welcome to the forums!

First, have you looked through this resource 7? It is a compilation of all of our build and deploy resources.

If those resources don’t get you on the right track, can you share a bit more information about what you are trying to accomplish?

Lastly, please share these additional details so we can look into your experience further:

  • the name of your build instance: β€œexample-jones.netlify.com 1”
  • your project repo
  • what you have already tried
  • any error messages you have received in your terminal window or in the developer console

Thank you!

Hi @ofu997 , I’m facing the same issue. Have you solved it by any chance?

Not yet. Similar posts recommended re-linking the repo URL. Are you using the same framework by chance?

I have tried re-linking the project but without any luck. My project is a nextjs static site.

Hi @bigardone, :wave:t6:

Which site are you referring to?

Please provide a repo, and a recent deploy log

@SamO @ofu997 I managed to solve it by prefixing the build script with the NODE_OPTIONS='--openssl-legacy-provider'

  "scripts": {
    "build": "NODE_OPTIONS='--openssl-legacy-provider' next build && next export",
  },

I hope it helps. Thanks for the support BTW :raised_hands:

1 Like

Hi @bigardone :wave:t6: ,

Thanks for coming back and letting us know what helped you solve your problem! This will help other users who encounter similar issues.